<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Pokedex - Pragma</title>
    <link rel="stylesheet" href="pokedex.css" />
    <link rel="shortcut icon" href="assets/favicon.ico" type="image/x-icon" />
    <script src="pokedex.js" defer></script>
  </head>

  <body>
    <header class="header">
      <figure class="header__figure">
        <img
          class="header__img"
          src="assets/pokeball-icon.webp"
          alt="pokeball icon"
        />
      </figure>
      <h1 class="header__title">Pokedex_</h1>
    </header>

    <main class="main__container">
      <header class="main__header">
        <figure class="main__header__img-container">
          <img
            id="pokemonTypeImg"
            class="main__header__img"
            src="assets/types/GO_Fire.webp"
            alt="pokemon type"
          />
        </figure>
        <h2 id="pokemonName" class="main__header__title">Charizard</h2>
      </header>

      <figure class="pokemon__img-container">
        <img
          id="pokemonImg"
          class="pokemon__img"
          src="assets/Charizard.webp"
          alt="Image Pokemon"
        />
      </figure>
      <section class="pokemon__info-container">
        <ul class="pokemon__info">
          <li class="pokemon__info__title">NO.</li>
          <li id="pokemonNo" class="pokemon__info__detail">006</li>
        </ul>
        <ul class="pokemon__info">
          <li class="pokemon__info__title">LEVEL</li>
          <li id="pokemonLevel" class="pokemon__info__detail">100</li>
        </ul>
        <ul class="pokemon__info">
          <li class="pokemon__info__title">TYPE</li>
          <li id="pokemonType" class="pokemon__info__detail fire-dot">FIRE</li>
        </ul>
        <ul class="pokemon__info">
          <li class="pokemon__info__title">HABILITY</li>
          <li id="pokemonHability" class="pokemon__info__detail">FLAMES</li>
        </ul>
        <ul class="pokemon__info">
          <li class="pokemon__info__title">HEIGHT</li>
          <li id="pokemonHeight" class="pokemon__info__detail">1.7 m</li>
        </ul>
        <ul class="pokemon__info">
          <li class="pokemon__info__title">WEIGHT</li>
          <li id="pokemonWeight" class="pokemon__info__detail">90.5 Kg</li>
        </ul>
      </section>
    </main>

    <footer class="footer">
      <p class="footer__title">OTHERS</p>
      <div class="footer__buttons">
        <button onclick="chooseAPokemon(1)" class="footer__button">
          <img
            class="footer__button__img"
            src="assets/Squirtle.png"
            alt="Squirtle"
          />
        </button>
        <button onclick="chooseAPokemon(2)" class="footer__button">
          <img
            class="footer__button__img"
            src="assets/Mewtwo.png"
            alt="Mewtwo"
          />
        </button>
        <button onclick="chooseAPokemon(3)" class="footer__button">
          <img
            class="footer__button__img"
            src="assets/Solgaleo.webp"
            alt="Solgaleo"
          />
        </button>
        <button onclick="chooseAPokemon(4)" class="footer__button">
          <img
            class="footer__button__img"
            src="assets/Snorlax.png"
            alt="Snorlax"
          />
        </button>
      </div>
    </footer>
  </body>
</html>
